%define major   0
%define libname %mklibname spirv-cross-c-shared %{major}
%define devname %mklibname spirv-cross-c-shared -d

Name:           spirv-cross
Version:        1.3.283.0
Release:        %mkrel 2
Summary:        Tool and library for SPIR-V reflection and disassembly
License:        Apache-2.0 OR MIT
Group:          System/Libraries
URL:            https://github.com/KhronosGroup/SPIRV-Cross
Source0:        https://github.com/KhronosGroup/SPIRV-Cross/archive/SPIRV-Cross-vulkan-sdk-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
SPIRV-Cross is a tool and library designed for parsing and
converting SPIR-V to other shader languages.

Features:

* Conversion of SPIR-V to GLSL, MSL or HLSL
* Conversion of SPIR-V to a JSON reflection format
* Reflection API to simplify the creation of Vulkan pipeline layouts
* Reflection API to modify and tweak OpDecorations
* Support for "all" of vertex, fragment, tessellation, geometry and
  compute shaders.

%package -n %{libname}
Summary:        Library for SPIR-V reflection and disassembly
Group:          System/Libraries

%description -n %{libname}
SPIRV-Cross is a tool and library designed for parsing and
converting SPIR-V to other shader languages.

%package -n %{devname}
Summary:        Development headers for the SPIRV-Cross library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       spirv-cross-c-shared-devel = %{version}-%{release}

%description -n %{devname}
SPIRV-Cross is a tool and library designed for parsing and
converting SPIR-V to other shader languages.

%prep
%autosetup -p1 -n SPIRV-Cross-vulkan-sdk-%{version}

# fix cmake config file install dir
sed -i 's|\${CMAKE_INSTALL_DATAROOTDIR}/\${config_name}/cmake|\${CMAKE_INSTALL_LIBDIR}/cmake/\${config_name}|' CMakeLists.txt

%build
%cmake -GNinja \
    -DSPIRV_CROSS_SHARED:BOOL=ON \
    -DSPIRV_CROSS_CLI=ON
%cmake_build

%install
%cmake_install

find %{buildroot}%{_libdir} -name '*.a' -delete

# When static/shared library names aren't thought through...
for i in c core cpp glsl hlsl msl reflect util; do
	ln -s "libspirv-cross-c-shared.so" "%{buildroot}%{_libdir}/libspirv-cross-$i.so"
done

%files
%license LICENSE
%doc README.md
%{_bindir}/spirv-cross

%files -n %{libname}
%license LICENSE
%{_libdir}/libspirv-cross-c-shared.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/spirv_cross/
%{_libdir}/libspirv-cross-*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/spirv*/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.3.283.0-2.mga10
+ Revision: 2224338
- Mageia 10 Mass Rebuild

* Sun Jun 16 2024 daviddavid <daviddavid> 1.3.283.0-1.mga10
+ Revision: 2074541
- initial package spirv-cross (needed for taisei)

